Repository 32bit  Forum
Repository 64bit  Wiki

tv-player

Postate qui se avete consigli per migliorare i pacchetti disponibili in questo sito o se avete problemi con installazione, funzionamento o altro.

Moderatore: Staff

Regole del forum
1) Citare in modo preciso il nome del pacchetto.
2) Specificare se discussione/suggerimento o richiesta d'aiuto.
3) Leggere attentamente le risposte ricevute
4) Scrivere i messaggi con il colore di default, evitare altri colori.
5) Scrivere in Italiano o in Inglese, se possibile grammaticalmente corretto, evitate stili di scrittura poco chiari, quindi nessuna abbreviazione tipo telegramma o scrittura stile SMS o CHAT.
6) Appena registrati è consigliato presentarsi nel forum dedicato.

La non osservanza delle regole porta a provvedimenti di vari tipo da parte dello staff, in particolare la non osservanza della regola 5 porta alla cancellazione del post e alla segnalazione dell'utente. In caso di recidività l'utente rischia il ban temporaneo.

tv-player

Messaggioda maxmo » gio apr 01, 2010 19:54

Ciao a tutti. Chi di voi conosce tv-player per vedere in streaming la RAI ed altri canali?
http://tvplayersite.altervista.org/index.php

Io ho provato ad installarlo sulla 13 ma non ci sono riuscito: ho scaricato il sorgente e scompattandolo ho visto che gli script sono in python; ho scaricato anche tutte le dipendenze ma eseguendo l'installazione mi compare un errore perchè non riconosce un file.
A chi funziona?
Avatar utente
maxmo
Linux 2.4
Linux 2.4
 
Messaggi: 336
Iscritto il: lun feb 28, 2005 0:00
Slackware: 14.1
Kernel: 3.10.17-smp
Desktop: xface

Re: tv-player

Messaggioda Kristos » gio apr 01, 2010 20:51

Prova casomai a postare l'output dell'errore che ti genera con il make o il make install, forse qualcuno può aiutarti.
Personalmente non ho provato ad installarlo, quindi non ti posso essere di molto aiuto.
Avatar utente
Kristos
Packager
Packager
 
Messaggi: 630
Iscritto il: sab dic 19, 2009 11:40
Slackware: 13.37
Kernel: 2.6.37.6-smp
Desktop: KDE
Distribuzione: PCLinuxOS

Re: tv-player

Messaggioda maxmo » gio apr 01, 2010 23:03

Codice: Seleziona tutto
# sudo python setup.py install                                                                 
running install                                                                                                                                 
running build                                                                                                                                   
running build_scripts                                                                                                                           
running install_scripts                                                                                                                         
changing mode of /usr/bin/tv-player to 755                                                                                                       
running install_data                                                                                                                             
error: can't copy 'pixmaps/volume_ico': doesn't exist or not a regular file   

Non si utilizza il make ma un file in python.
Avatar utente
maxmo
Linux 2.4
Linux 2.4
 
Messaggi: 336
Iscritto il: lun feb 28, 2005 0:00
Slackware: 14.1
Kernel: 3.10.17-smp
Desktop: xface

Re: tv-player

Messaggioda gohanz » ven apr 02, 2010 7:41

Ho provato ma non funziona sulla 13.0, richiede le GTK aggiornate. Forse funziona sulla current, ma richiede i pulgin di Gstreamer.


Codice: Seleziona tutto
 ./main-gtk.py
Player:integrato
Traceback (most recent call last):
  File "./main-gtk.py", line 851, in <module>
    tele = Tele()
  File "./main-gtk.py", line 92, in __init__
    builder.add_from_file("ui/ui.xml")
glib.GError: ui/ui.xml: required gtk+ version 2.16, current version is 2.14
Avatar utente
gohanz
Staff
Staff
 
Messaggi: 5832
Iscritto il: mar nov 30, 2004 0:00

Re: tv-player

Messaggioda Kristos » ven apr 02, 2010 19:52

Stesso risultato anche a me con la 13.0 con molta probabilità ha ragione gohanz, qui ci vuole la current con le GTK e il Gstreamer.
Infatti essendo un programma scritto in python il mio è stato un errore clamoroso citando il make ed il make install. #-o
Avatar utente
Kristos
Packager
Packager
 
Messaggi: 630
Iscritto il: sab dic 19, 2009 11:40
Slackware: 13.37
Kernel: 2.6.37.6-smp
Desktop: KDE
Distribuzione: PCLinuxOS

Re: tv-player

Messaggioda maxmo » ven apr 02, 2010 21:16

grazie a tutti
Avatar utente
maxmo
Linux 2.4
Linux 2.4
 
Messaggi: 336
Iscritto il: lun feb 28, 2005 0:00
Slackware: 14.1
Kernel: 3.10.17-smp
Desktop: xface


Torna a Packages

Chi c’è in linea

Visitano il forum: Nessuno e 2 ospiti